#
# spec file for package yast2-config-online-update (Version 2.5.13)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake yast2-devtools ydoc
# usedforbuild    aaa_base aaa_dir aaa_version autoconf automake base bash bindutil binutils bison bzip cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim yast2-devtools ydoc

Name:         yast2-config-online-update
Copyright:    (c) 2000 SuSE GmbH
Group:        System/YaST
Requires:     yast2-trans-online-update  yast2  yast2-agent-you  yast2-agent-ftp  yast2-agent-http
BuildArchitectures: noarch
Summary:      YaST2 - Configuration Package Update
Version:      2.5.13
Release:      0
Source0:      yast2-config-online-update-2.5.13.tar.bz2
Provides:     y2c_online_update
Obsoletes:    y2c_online_update

%description
YaST2 Package Online Update will load all available patches from SuSE ftp server
and do the installation.

Authors:
--------
    gs@suse.de

SuSE series: yast

%prep
%setup -n yast2-config-online-update-2.5.13

%build
./configure
make

%install
make install

%files
/var/adm/fillup-templates/sysconfig.onlineupdate
/etc/suseservers
/usr/lib/YaST2/menuentries/menuentry_online_update.y2cc
/usr/lib/YaST2/menuentries/menuentry_cd_update.y2cc
/usr/lib/YaST2/include/suseservers.ycp
/usr/lib/YaST2/scrconf/etc_suseservers.scr
/usr/lib/YaST2/scrconf/cfg_onlineupdate.scr
/usr/lib/YaST2/clients/online_update.ycp
/usr/lib/YaST2/clients/online_update_close.ycp
/usr/lib/YaST2/clients/online_update_details.ycp
/usr/lib/YaST2/clients/online_update_load.ycp
/usr/lib/YaST2/clients/online_update_select.ycp
/usr/lib/YaST2/clients/online_update_start.ycp
/usr/lib/YaST2/modules/OnlineUpdate.ycp
%doc /usr/share/doc/packages/yast2-config-online-update
/usr/lib/YaST2/images/online_update_long.png

%post
%{fillup_only -n onlineupdate}

%changelog -n yast2-config-online-update
* Tue May 28 2002 - schubi@suse.de
- Ignore tty output while checking with gpg
* Fri Mar 22 2002 - schubi@suse.de
- taking long language names for patch descriptions #15365
  otherwise only english patchdescriptions are shown.
* Wed Mar 20 2002 - gs@suse.de
- use /usr/lib/rpm/gnupg/pubring.gpg to check the signature in
  the patch descriptions
- show the new special online update image
- don't load the /etc/suseservers file if it's a CD update
* Mon Mar 04 2002 - schubi@suse.de
- Bugfix while updating strange packages via http #14041
* Wed Feb 27 2002 - gs@suse.de
- bugfixes: disable the Abort button in details dialog, initialize
  the agent also in mode auto_install, show correct info 'Connected to'
* Mon Feb 25 2002 - gs@suse.de
- internal changes (don't initialize the package agent, use correct
  language information)
* Fri Feb 22 2002 - schubi@suse.de
- Starting YOU in batchmode corrected #13196
- Aborting dialog correctly #13274
- Showing popup while loading available serverlist
- prefent flickering when installing new packages #12889;
- Checking uploaded packages for the correct version
- bugix while writing mode::you_server
* Mon Feb 18 2002 - gs@suse.de
- internal changes
* Tue Feb 12 2002 - gs@suse.de
- check for string arguments; correct settings for YOU agent
- rename sysconfig/you to sysconfig/onlineupdate
* Mon Feb 11 2002 - schubi@suse.de
- checking version of the package which has been uploaded
* Fri Feb 08 2002 - lnussel@suse.de
- command line argument is of type string
* Fri Feb 08 2002 - gs@suse.de
- bugfixes and internal changes (replace the user_settings,
  initialize for package installation, change source medium
  works correctly, Requires for new agents added ...)
* Mon Feb 04 2002 - gs@suse.de
- rename rc.config.y2c_online_update to sysconfig.you
- internal changes
* Tue Dec 04 2001 - schubi@suse.de
- DisplayRegistrationPopup added
* Mon Sep 24 2001 - gs@suse.de
- first server entry in /etc/suseservers is default ftp server
* Tue Sep 18 2001 - gs@suse.de
- Internal changes ( obsolete defines removed or replaced )
- checking for YaST2 version works correctly now
* Fri Aug 24 2001 - schubi@suse.de
- YOU has and batchmode
  yast2 online_update .auto.get ( getting all patches )
  yast2 online_update .auto.install ( installing patches )
- New batch class "optional"
* Mon Aug 20 2001 - gs@suse.de
- Patch CD Update: write the information to install from CD
  to /var/lib/YaST/install.inf
* Mon Aug 06 2001 - gs@suse.de
- Patch CD Update shows correct error popup if the patch CD is not found
* Mon May 07 2001 - sh@suse.de
- Use new UI(`GetLanguate()) parameter
- accept next button in export mode.
- error popup xxx server not found ( Bug 8872 )
- Enable installing NEW packages
* Mon Apr 30 2001 - gs@suse.de
- name is: Patch CD Update, popup text changed again (bug 6796)
- Showing package description while installing rpm s ( #6573 )
* Thu Apr 26 2001 - gs@suse.de
- special icon for CD update
- delete patches with status .new or .error before download of new path descriptions
* Tue Apr 24 2001 - gs@suse.de
- helptext and popup text (bug 6796) changed
* Thu Apr 19 2001 - gs@suse.de
- menuentry file for CD installation added
- CD Update: return to start dialog, if source media is not set to CD
* Tue Apr 17 2001 - gs@suse.de
- rename of translation package
* Fri Apr 13 2001 - gs@suse.de
- Patch installation from CD starts with screen Available Patches
* Fri Apr 06 2001 - gs@suse.de
- default installation source is CD if module is called with .cd_default
* Wed Mar 07 2001 - schubi@suse.de
- Checking connection via socket ( not ping )
- Loading available server-list from http and load it BEFORE
  the user can select one server.
- Loading server-list can be switched off by a rc.config variable.
- Setting progress-bars to zero after closing the connection
- Updating YaST2 modules at first. Every further patch can only
  installed by a second run.
- The packages can stored on another ftp server ( e.g. nvidea)
  although the patch desciption is e.g. on ftp.suse.com
* Sat Jan 20 2001 - schubi@suse.de
- server-path of uni-aachen changed
* Thu Jan 18 2001 - schubi@suse.de
- Button "not install" to "Do not install" changed
- default installation mode to manuell changed
* Tue Jan 16 2001 - schubi@suse.de
- insert new ftp-mirrows
  inform the user about patch sizes
* Mon Jan 15 2001 - schubi@suse.de
- Translations added.
- Changed Richtext-widget to logview
* Fri Jan 12 2001 - schubi@suse.de
- Getting ftp server list from suse.de
* Mon Jan 08 2001 - kkaempf@suse.de
- provide scrconf/etc_suseservers.scr
* Mon Jan 08 2001 - kkaempf@suse.de
- provide include/suseservers.ycp
* Thu Jan 04 2001 - schubi@suse.de
- ftp-update via modem and isdn
* Thu Jan 04 2001 - schubi@suse.de
- bugfix in pgp-key checking
* Thu Dec 21 2000 - schubi@suse.de
- progress bar for file-loading added
- pgp-key check for every package  added
* Mon Dec 18 2000 - kkaempf@suse.de
- provide list of SuSE servers in /etc/suseservers (standard-URL format)
* Mon Dec 18 2000 - kkaempf@suse.de
- keep list of servers in /etc/suseservers file
* Wed Dec 13 2000 - schubi@suse.de
- new menue-entry
* Tue Dec 12 2000 - schubi@suse.de
- reading targetroot via SCR
  user messages added for pgp security
* Mon Dec 11 2000 - schubi@suse.de
- ftp-server-settings added
* Thu Dec 07 2000 - arvin@suse.de
- use bz2 instead of gz
* Wed Nov 29 2000 - gs@suse.de
- version 1.0.1 - runs initially - but needs more testing
* Fri Nov 17 2000 - gs@suse.de
- initial version
